package com.cm.plugin.manager;

import java.util.ArrayList;
import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SensitiveResult
 * @Description: 敏感结果
 * @Author: WangGeng
 * @Date: 2020/6/17 20:07
 * @Version: 1.0
 **/
public class SensitiveResult {

    private String sensitive;
    private List<SensitiveWordsResult> sensitiveWordsResults;

    public String getSensitive() {
        return sensitive == null ? "" : sensitive.trim();
    }

    public void setSensitive(String sensitive) {
        this.sensitive = sensitive;
    }

    public List<SensitiveWordsResult> getSensitiveWordsResults() {
        if (sensitiveWordsResults == null) {
            return new ArrayList<>();
        }
        return sensitiveWordsResults;
    }

    public void setSensitiveWordsResults(List<SensitiveWordsResult> sensitiveWordsResults) {
        this.sensitiveWordsResults = sensitiveWordsResults;
    }
}
